Package org.apache.qpid.proton.codec

# Interface AMQPType<V>

All Known Subinterfaces:
  `PrimitiveType<V>`

All Known Implementing Classes:
  `AbstractDescribedType`, `AcceptedType`, `AmqpSequenceType`, `AmqpValueType`, `ApplicationPropertiesType`, `ArrayType`, `AttachType`, `BeginType`, `BigIntegerType`, `BinaryType`, `BooleanType`, `ByteType`, `CharacterType`, `CloseType`, `CoordinatorType`, `DataType`, `Decimal128Type`, `Decimal32Type`, `Decimal64Type`, `DeclaredType`, `DeclareType`, `DeleteOnCloseType`, `DeleteOnNoLinksOrMessagesType`, `DeleteOnNoLinksType`, `DeleteOnNoMessagesType`, `DeliveryAnnotationsType`, `DetachType`, `DischargeType`, `DispositionType`, `DoubleType`, `DynamicDescribedType`, `EndType`, `ErrorConditionType`, `FastPathAcceptedType`, `FastPathAmqpSequenceType`, `FastPathAmqpValueType`, `FastPathApplicationPropertiesType`, `FastPathDataType`, `FastPathDeliveryAnnotationsType`, `FastPathDispositionType`, `FastPathFlowType`, `FastPathFooterType`, `FastPathHeaderType`, `FastPathMessageAnnotationsType`, `FastPathPropertiesType`, `FastPathTransferType`, `FloatType`, `FlowType`, `FooterType`, `HeaderType`, `IntegerType`, `ListType`, `LongType`, `MapType`, `MessageAnnotationsType`, `ModifiedType`, `NullType`, `OpenType`, `PropertiesType`, `ReceivedType`, `RejectedType`, `ReleasedType`, `SaslChallengeType`, `SaslInitType`, `SaslMechanismsType`, `SaslOutcomeType`, `SaslResponseType`, `ShortType`, `SourceType`, `StringType`, `SymbolType`, `TargetType`, `TimestampType`, `TransactionalStateType`, `TransferType`, `UnsignedByteType`, `UnsignedIntegerType`, `UnsignedLongType`, `UnsignedShortType`, `UUIDType`

public interface AMQPType<V>

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends TypeEncoding<V>>`
`getAllEncodings()`
`TypeEncoding<V>`
`getCanonicalEncoding()`
`TypeEncoding<V>`
`getEncoding(V val)`
`Class<V>`
`getTypeClass()`
`void`
`write(V val)`

## Method Details

### getTypeClass

Class<V> getTypeClass()

### getEncoding

TypeEncoding<V> getEncoding(V val)

### getCanonicalEncoding

TypeEncoding<V> getCanonicalEncoding()

### getAllEncodings

Collection<? extends TypeEncoding<V>> getAllEncodings()

### write

void write(V val)